Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.exception
Class NoBracketingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.NoBracketingException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class NoBracketingException

extends MathIllegalArgumentException

Exception to be thrown when function values have the same sign at both ends of an interval.

Since:
  3.0
Version:
  $Id: NoBracketingException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

Constructor Summary
`NoBracketingException(double lo, double hi, double fLo, double fHi)` Construct the exception.
`NoBracketingException(Localizable specific, double lo, double hi, double fLo, double fHi, Object... args)` Construct the exception with a specific context.

Method Summary
`double` | `getFHi()` Get the value at the higher end of the interval.
`double` | `getFLo()` Get the value at the lower end of the interval.
`double` | `getHi()` Get the higher end of the interval.
`double` | `getLo()` Get the lower end of the interval.

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoBracketingException

    public NoBracketingException(double lo,
                                 double hi,
                                 double fLo,
                                 double fHi)

  Construct the exception.

  Parameters:
    `lo` - Lower end of the interval.
    `hi` - Higher end of the interval.
    `fLo` - Value at lower end of the interval.
    `fHi` - Value at higher end of the interval.

### NoBracketingException

    public NoBracketingException(Localizable specific,
                                 double lo,
                                 double hi,
                                 double fLo,
                                 double fHi,
                                 Object... args)

  Construct the exception with a specific context.

  Parameters:
    `specific` - Contextual information on what caused the exception.
    `lo` - Lower end of the interval.
    `hi` - Higher end of the interval.
    `fLo` - Value at lower end of the interval.
    `fHi` - Value at higher end of the interval.
    `args` - Additional arguments.

Method Detail

### getLo

    public double getLo()

  Get the lower end of the interval.

  Returns:
    the lower end.

### getHi

    public double getHi()

  Get the higher end of the interval.

  Returns:
    the higher end.

### getFLo

    public double getFLo()

  Get the value at the lower end of the interval.

  Returns:
    the value at the lower end.

### getFHi

    public double getFHi()

  Get the value at the higher end of the interval.

  Returns:
    the value at the higher end.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.